Redmine - Defect #9308

Search fails when a role haven't "view wiki" permission
2011-09-22 21:24 - pasquale [:dedalus]

Status: Closed Start date: 2011-09-22
Priority: High Due date:

Assignee: % Done: 0%
Category: Search engine Estimated time: 0.00 hour
Target version: 1.2.2

Resolution: Fixed Affected version: 1.2.1
Description

| have configured a role that haven't the "view wiki" permission.

When a user that has this role (in all projects) search for some word, redmine fails with this message (bug-in-action.jpg)
If | grant the permission to the role, all works fine.

This is a major bug because normal user can think that the site don't work.

In the log file, | see that the query fails on where condition because "text" field is unknown.

ps: the behavior of redmine in this case is very strange: for example, if | search for mail | have an error, but if | search for mail. all
works fine

Associated revisions

Revision 7568 - 2011-10-03 22:17 - Etienne Massip

Qualify searchable text column to prevent exception thrown when :content association is not eargerly fetched by AR (#9308).

Revision 7569 - 2011-10-03 22:19 - Etienne Massip
Merged r7568 from trunk (#9308).

History

#1 - 2011-09-23 08:52 - pasquale [:dedalus]

pasquale [:dedalus] wrote:

In the log file, | see that the query fails on where condition because "text" field is unknown.

this is the log message:

Processing SearchController#index (for 85.33.108.241 at 2011-09-22 11:57:15) [GET]

Parameters: {"action"=>"index", "g"=>"mail", "controller"=>"search"}
ActiveRecord: :StatementInvalid (Mysqgl::Error: Unknown column 'text' in 'where clause': SELECT * FROM “wiki_pag
es’
WHERE ((1=0) AND (((LOWER(title) LIKE '%mail%') OR (LOWER (text) LIKE 'Smail%')))) ORDER BY wiki_pages.created
on

DESC LIMIT 11):
app/controllers/search_controller.rb:77:in " index'
app/controllers/search_controller.rb:76:in “each'
app/controllers/search_controller.rb:76:in index'
config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in “dispatch_cgi'

#2 - 2011-09-23 09:03 - Etienne Massip

- Target version set to Candidate for next minor release
Definitely reproduced, big one, thanks.

#3 - 2011-10-03 22:18 - Etienne Massip
- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.2.2
https://www.redmine.org/attachments/6570

- Resolution set to Fixed

Fixed with r7568.

#4 - 2011-11-11 12:52 - Jean-Philippe Lang

- Status changed from Resolved to Closed
